unit SaveInExeFm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExeMod, StdCtrls, Jpeg, ExtCtrls, ExtDlgs;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Button1: TButton;
    OD: TOpenPictureDialog;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var
  temp: String;
  MyStream: TMemoryStream;
  MyPic: TJpegImage;
begin
  ExtractFromExe('img',Temp);
  If Temp = '' Then Exit;
  MyPic := TJpegImage.Create;
  MyStream := TMemoryStream.Create;
  try
    String2Stream(temp,MyStream);
    MyPic.LoadFromStream(MyStream);
    Image1.Picture.Assign(MyPic);
  finally
    MyPic.Free;
    MyStream.Free;
  end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  OD.Execute;
  If OD.FileName <> '' then
  begin
    DelFromExe('img');
    AddFile2Exe('img',OD.FileName);
    AlterExe;
  end;
end;

end.
